#!/bin/bash
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

# Note: Also called from Debian
# Arguments:

# RPM
# $1 == 1 - install package
# $1 == 2 - upgrade package

# DEB
# $1 == configure - RPM post/posttrans

# "liblve PRE UNINSTALL STARTED"

rhel=$2           # 0%{?rhel}

available_flags_dir=/opt/cloudlinux/flags/available-flags.d
enabled_flags_dir=/opt/cloudlinux/flags/enabled-flags.d
cagefs_restricted_caps_flag=disable-cagefs-restricted-caps.flag
no_new_privs_flag=disable-cagefs-no-new-privs.flag

if [[ "$1" == "0" || "$1" == "remove" ]]; then
    rm -f "${available_flags_dir}/${cagefs_restricted_caps_flag}"
    rm -f "${enabled_flags_dir}/${cagefs_restricted_caps_flag}"
    rm -f "${available_flags_dir}/${no_new_privs_flag}"
    rm -f "${enabled_flags_dir}/${no_new_privs_flag}"
fi


# "liblve PRE UNINSTALL FINISHED"
